﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PdfSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new PDF document
            PdfDocument pdfDocument = new PdfDocument();

            pdfDocument.PageSettings.Margins.All = 0;

            //Add a pages to the PDF document
            for (int j = 0; j < 5; j++)
            {
                pdfDocument.Pages.Add();
                //Draw string 
                pdfDocument.Pages[j].Graphics.DrawString("Hello World!!!", new PdfStandardFont(PdfFontFamily.TimesRoman, 20, PdfFontStyle.Bold), PdfBrushes.Brown, new PointF(0, 100));
            }

            float offset = 50;

            //Load image 
            PdfImage image = new PdfBitmap(@"../../Data/logo.png");

            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 7);
            PdfBrush brush = new PdfSolidBrush(Color.Black);

            for (int i = 0; i < pdfDocument.Pages.Count; i=i+2)
            {
                //Add header
                PdfTemplate headerTemplate = new PdfTemplate(pdfDocument.Pages[i].GetClientSize().Width, 50);
                headerTemplate.Graphics.DrawImage(image, new PointF(0, 0), new SizeF(100, 50));
                pdfDocument.Pages[i].Graphics.DrawPdfTemplate(headerTemplate, new PointF(pdfDocument.Pages[i].GetClientSize().Width/2, 0));

                //Add footer 
                PdfTemplate footerTemplate = new PdfTemplate(pdfDocument.Pages[i].GetClientSize().Width, 50);
                footerTemplate.Graphics.DrawString("Page " + i.ToString(), font, brush, new PointF(470, 40));
                pdfDocument.Pages[i].Graphics.DrawPdfTemplate(footerTemplate, new PointF(0, 700));
            }

            //Save the document
            pdfDocument.Save("Output.pdf");

            //Close the document
            pdfDocument.Close(true);

            Process.Start("Output.pdf");
        }
    }
}
